UserContext (gCube Social Profile Portlet 1.0.0-3.4.0 API)
Date: 2014-10-01

org.gcube.portlets.user.socialprofile.shared

## Class UserContext

- java.lang.Object
- - org.gcube.portlets.user.socialprofile.shared.UserContext

- All Implemented Interfaces:
    Serializable

      public class UserContext
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserContext()`
    `UserContext(org.gcube.portal.databook.shared.UserInfo userInfo, String headline, String institution, String summary, String currentScope, boolean isOwner, boolean isInfrastructure)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCurrentScope()`
    `String` | `getHeadline()`
    `String` | `getInstitution()`
    `String` | `getSummary()`
    `org.gcube.portal.databook.shared.UserInfo` | `getUserInfo()`
    `boolean` | `isInfrastructure()`
    `boolean` | `isOwner()`
    `void` | `setCurrentScope(String currentScope)`
    `void` | `setHeadline(String headline)`
    `void` | `setInfrastructure(boolean isInfrastructure)`
    `void` | `setInstitution(String institution)`
    `void` | `setOwner(boolean isOwner)`
    `void` | `setSummary(String summary)`
    `void` | `setUserInfo(org.gcube.portal.databook.shared.UserInfo userInfo)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserContext

          public UserContext()

    - #### UserContext

          public UserContext(org.gcube.portal.databook.shared.UserInfo userInfo,
                     String headline,
                     String institution,
                     String summary,
                     String currentScope,
                     boolean isOwner,
                     boolean isInfrastructure)

  - ### Method Detail

    - #### getUserInfo

          public org.gcube.portal.databook.shared.UserInfo getUserInfo()

    - #### setUserInfo

          public void setUserInfo(org.gcube.portal.databook.shared.UserInfo userInfo)

    - #### getHeadline

          public String getHeadline()

    - #### setHeadline

          public void setHeadline(String headline)

    - #### getInstitution

          public String getInstitution()

    - #### setInstitution

          public void setInstitution(String institution)

    - #### getCurrentScope

          public String getCurrentScope()

    - #### setCurrentScope

          public void setCurrentScope(String currentScope)

    - #### isOwner

          public boolean isOwner()

    - #### setOwner

          public void setOwner(boolean isOwner)

    - #### getSummary

          public String getSummary()

    - #### setSummary

          public void setSummary(String summary)

    - #### isInfrastructure

          public boolean isInfrastructure()

    - #### setInfrastructure

          public void setInfrastructure(boolean isInfrastructure)

Copyright © 2014. All Rights Reserved.